Api referenceReports
Update Report Builder
Reference for Update Report Builder in the Hyperoru v1 API, including request, response, and authentication details.
PUT
/v1/workspaces/{workspace_id}/reports/{report_id}/builderUpdate Report Builder. Returns a typed response and a request ID for operational support.
hyperoru_session<token>
Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.
In: cookie
Path Parameters
workspace_id*Workspace Id
Format
uuidreport_id*Report Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/builder" \ -H "Content-Type: application/json" \ -d '{ "config": { "audience": "string", "branding": { "organization_name": "string" }, "objective": "string", "sections": [ { "id": "string", "kind": "executive_summary", "title": "string" } ], "title": "string" } }'{
"config": {
"audience": "string",
"branding": {
"accent_color": "#FACC15",
"logo_data_url": "string",
"organization_name": "string",
"show_hyperoru_mark": true
},
"goal": "executive_brief",
"objective": "string",
"schema_version": "report-builder-v1",
"sections": [
{
"content": "",
"detail_level": "brief",
"generated_by": "canonical",
"id": "string",
"included": true,
"kind": "executive_summary",
"selected_item_ids": [
"string"
],
"selection_mode": "automatic",
"title": "string"
}
],
"title": "string"
},
"report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971",
"report_revision": 0,
"report_status": "string",
"updated_at": "2019-08-24T14:15:22Z"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}